cURL
curl --request GET \
--url https://api.maesn.dev/accounting/bills \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/bills"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/bills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"id": "9714f3a2-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
"accountId": "6733a433-9662-4a40-8e36-e38ebda94fe1",
"addresses": [
{
"addressLine1": "Main street 45",
"addressLine2": "2nd floor",
"city": "Berlin",
"countryCode": "DE",
"postalCode": "10243",
"type": "BILLING"
}
],
"billDate": "2021-01-01T00:00:00Z",
"billNumber": "1020",
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"createdDate": "2021-01-01T00:00:00Z",
"currency": "EUR",
"deliveryDate": "2021-01-01T00:00:00Z",
"dueDate": "2021-07-01T00:00:00Z",
"fileId": "93c6b8e0-80a4-4c22-a46c-18beebab82d6",
"journalCode": "30",
"lineItems": [
{
"id": "987a2b3c-4d5e-6f7g-8h9i-0j1k2l3m4n5o",
"accountId": "6733a433-9662-4a40-8e36-e38ebda94fe1",
"accountNumber": "200",
"createdDate": "2021-01-01T00:00:00Z",
"deferredEndDate": "2021-06-01T00:00:00Z",
"deferredStartDate": "2021-01-01T00:00:00Z",
"description": "SEOUL Guest Chair, red",
"dimensions": [
{
"name": "C1",
"categoryName": "CostCenter"
}
],
"itemId": "4f3a2hf4-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
"itemName": "RED CHAIR",
"quantity": 1,
"taxCode": "03",
"taxRatePercentage": 19,
"totalDiscountAmount": 10,
"totalDiscountPercentage": 10,
"totalGrossAmount": 109,
"totalNetAmount": 100,
"totalTaxAmount": 19,
"unitAmount": 100,
"unitDiscountAmount": 10,
"unitDiscountPercentage": 10,
"unitName": "PIECE",
"updatedDate": "2021-01-01T00:00:00Z"
}
],
"name": "Office Supplies",
"oneLineAddress": "Main street 45, Berlin",
"paidDate": "2021-01-25T00:00:00Z",
"paymentDays": 30,
"paymentReference": "Edefad142e764894",
"paymentStatus": "PENDING",
"paymentTermCode": "21",
"reference": "026 / 245",
"shippingDate": "2021-01-01T00:00:00Z",
"shippingType": "DELIVERY",
"status": "DRAFT",
"taxRule": "NET",
"taxText": "Tax 19 percent",
"totalDiscountAmount": 10,
"totalDiscountPercentage": 10,
"totalGrossAmount": 109,
"totalNetAmount": 100,
"totalTaxAmount": 19,
"updatedDate": "2021-01-01T00:00:00Z"
}
]
}Bills
Get bills
GET
/
accounting
/
bills
cURL
Field support per integration

BuchhaltungsButler
BuchhaltungsButler
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
string
string
enum
Available options:
ASC, DESCboolean
string
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options:
OPEN, PAIDnumber

Business Central
Business Central
If you’re not using the Interactive Authentication Flow, make sure the query parameters
environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.enum
Available options:
5, 10, 20, 50, 100number
string
Show object
Show object
string
Filter by last modified date.
For date format details visit the Standardized Data section.
For date format details visit the Standardized Data section.
boolean
string
Address[]
string
For date format details visit the Standardized Data section
string
string
enum
The
currency field supports ISO 4217 (3-letter codes).For details visit the Standardized Data section.string
For date format details visit the Standardized Data section
LineItem[]
enum
Available options:
PENDING, PAID, CANCELED, NO_OPEN_ITEM, UNKNOWNstring
enum
Available options:
DRAFT, SUBMITTED, OPEN, PAID, VOIDED, CORRECTIVEnumber
number
number
number
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWRstring
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
string
string
string
enum
Available options:
OPEN, PAID, OVERDUEnumber
number
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z

fortnox
fortnox
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
enum
Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWRstring
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
number

Lexware Office
Lexware Office
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
string
string
enum
Available options:
ASC, DESCboolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWRstring
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
enum
Available options:
DRAFT, OPEN, PAID, OVERDUE, VOIDED, SUBMITTEDnumber
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z

Qonto
Qonto
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
string
enum
Available options:
ASC, DESCboolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWRstring
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options:
DRAFT,SUBMITTED, OPEN, PAID,VOIDEDnumber
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z

sevdesk
sevdesk
Query parameters:Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
string
boolean
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
The
currency field supports ISO 4217 alpha-3 (3-letter codes).
For details visits the Standardized Data section.string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
enum
Available options:
DRAFT, SUBMITTED, OPEN, PARTIALLY_PAID, PAIDnumber
number
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z

weclapp
weclapp
Query parameters:
Supported response fields:
enum
Available options:
5, 10, 20, 50, 100number
string
Show object
Show object
string
Filter by last modified date on the bill.
Example:
Example:
lastModifiedAt=2021-01-01T00:00:00Zboolean
string
Address[]
string
For date format details visit the Standardized Data section
string
string
string
For date format details visit the Standardized Data section
enum
The
currency field supports ISO 4217 alpha-3 (3-letter codes).
For details visit the Standardized Data section.string
For date format details visit the Standardized Data section
string
For date format details visit the Standardized Data section
BillLineItem[]
enum
Available options:
PENDING, PAID, NO_OPEN_ITEM, CREDIT_NOTE_CLEARED, CLEARED_WITH_CREDIT_NOTE, UNKNOWNstring
string
For date format details visit the Standardized Data section
enum
Available options:
DRAFT, SUBMITTED, DOCUMENT_CREATED, OPEN, VOIDEDnumber
number
number
string
For date format details visit the Standardized Data section
Query Parameters
Available options:
5, 10, 20, 50, 100 Available options:
ASC, DESC Available options:
billlDate, billNumber, createdDate, updatedDate Last modified on July 14, 2026
Was this page helpful?